# Uses of Interface
org.eclipse.emf.cdo.common.id.CDOIDProvider

Packages that use CDOIDProvider
Package
Description
org.eclipse.emf.cdo.common.id
Common concepts for dealing with object and revision IDs.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOIDProvider in org.eclipse.emf.cdo.common.id

Fields in org.eclipse.emf.cdo.common.id declared as CDOIDProvider
Modifier and Type
Field
Description
`static final CDOIDProvider`
CDOIDProvider.`NOOP`

## Uses of CDOIDProvider in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOIDProvider
Modifier and Type
Method
Description
`CDOIDProvider`
CDODataOutput.`getIDProvider()`

## Uses of CDOIDProvider in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOIDProvider
Modifier and Type
Method
Description
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider)`
Deprecated.
As of 4.3 use `CDOCommonUtil.createCDODataOutput(ExtendedDataOutput, CDOPackageRegistry, CDOIDProvider, CDORevisionUnchunker)`.
`static CDODataOutput`
CDOCommonUtil.`createCDODataOutput(org.eclipse.net4j.util.io.ExtendedDataOutput extendedDataOutputStream, CDOPackageRegistry packageRegistry, CDOIDProvider idProvider, CDORevisionUnchunker unchunker)`

## Uses of CDOIDProvider in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOIDProvider
Modifier and Type
Method
Description
`CDOIDProvider`
CDODataOutputImpl.`getIDProvider()`

## Uses of CDOIDProvider in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDOIDProvider
Modifier and Type
Method
Description
`void`
BaseCDORevision.`convertEObjects(CDOIDProvider idProvider)`
`void`
DelegatingCDORevision.`convertEObjects(CDOIDProvider oidProvider)`
`void`
InternalCDORevision.`convertEObjects(CDOIDProvider oidProvider)`
`void`
StubCDORevision.`convertEObjects(CDOIDProvider oidProvider)`

## Uses of CDOIDProvider in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOIDProvider in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalSession`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOIDProvider in org.eclipse.emf.spi.cdo

Subinterfaces of CDOIDProvider in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOTransaction`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDOView`
If the meaning of this type isn't clear, there really should be more of a description here...
`static interface`
`InternalCDOXATransaction.InternalCDOXACommitContext`
If the meaning of this type isn't clear, there really should be more of a description here...
Methods in org.eclipse.emf.spi.cdo that return CDOIDProvider
Modifier and Type
Method
Description
`CDOIDProvider`
CDOSessionProtocol.CommitTransactionResult.`getIDProvider()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOIDProvider
Modifier and Type
Method
Description
`CDOSessionProtocol.CommitTransactionResult`
CDOSessionProtocol.`commitTransaction(int transactionID, String comment, boolean releaseLocks, CDOIDProvider idProvider, CDOCommitData commitData, Collection<CDOLob<?>> lobs, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Deprecated.
`void`
CDOSessionProtocol.CommitTransactionResult.`setIDProvider(CDOIDProvider idProvider)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOIDProvider
Modifier
Constructor
Description
``
`CommitTransactionResult(CDOIDProvider idProvider, byte rollbackReason, String rollbackMessage, CDOBranchPoint branchPoint, long previousTimeStamp, List<CDOObjectReference> xRefs, boolean clearResourcePathCache)`
Deprecated.
As of 4.3
``
`CommitTransactionResult(CDOIDProvider idProvider, String rollbackMessage, CDOBranchPoint branchPoint, long previousTimeStamp, List<CDOObjectReference> xRefs)`
Deprecated.
As of 4.2
``
`CommitTransactionResult(CDOIDProvider idProvider, CDOBranchPoint branchPoint, long previousTimeStamp)`
Deprecated.
As of 4.2
``
`CommitTransactionResult(CDOIDProvider idProvider, CDOBranchPoint branchPoint, long previousTimeStamp, boolean clearResourcePathCache)`
Deprecated.
As of 4.3
``
`PostCommitReferenceAdjuster(CDOIDProvider idProvider, CDOIDMapper idMapper)`